% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/check_factorstructure.R
\name{check_factorstructure}
\alias{check_factorstructure}
\title{Check suitability of data for Factor Analysis (FA)}
\usage{
check_factorstructure(x, silent = FALSE, ...)
}
\arguments{
\item{x}{A dataframe.}

\item{silent}{Hide results printing.}

\item{...}{Arguments passed to or from other methods.}
}
\value{
A list of lists of indices related to sphericity and KMO.
}
\description{
This checks whether the data is appropriate for Factor Analysis (FA) by running the \link[=check_sphericity]{Bartlett's Test of Sphericity} and the \link[=check_kmo]{Kaiser, Meyer, Olkin (KMO) Measure of Sampling Adequacy (MSA)}.
}
\examples{
library(parameters)

check_factorstructure(mtcars)
}
\seealso{
check_kmo check_sphericity
}
