% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/p_value_kenward.R
\name{p_value_kenward}
\alias{p_value_kenward}
\alias{dof_kenward}
\title{p-values using Kenward-Roger approximation}
\usage{
p_value_kenward(model, dof = NULL)

dof_kenward(model)
}
\arguments{
\item{model}{A statistical model.}

\item{dof}{Degrees of Freedom.}
}
\value{
The p-values.
}
\description{
An approximate F-test based on the Kenward-Roger (1997) approach.
}
\examples{
\donttest{
library(lme4)
model <- lmer(Petal.Length ~ Sepal.Length + (1 | Species), data = iris)
p_value_kenward(model)
}

}
\references{
Kenward, M. G., & Roger, J. H. (1997). Small sample inference for fixed effects from restricted maximum likelihood. Biometrics, 983-997.
}
